#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,k;
    scanf("%d%d",&n,&k);
    int brojac[n*2];
    int Ai;
    for(Ai=0;Ai<n*2+1;Ai++)
        brojac[Ai]=0;
    for(Ai=0;Ai<n;Ai++)
    {
        int pom;
        scanf("%d",&pom);
        brojac[pom+n]++;
    }
    for(Ai=0;Ai<n*2+1;Ai++)
    {
        if(brojac[Ai]>=k)
            printf("%d ",Ai-n);
    }
}